//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
// CommonHelpers satellite library | Author: Sergei Y.Kitáev
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

namespace CommonHelpers {

//**************************************************************************************************
partial class HXmlConfigurationBase { public static class Verbose {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string File
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "File";
   case HInCodeSupportedLanguage.Russian: return "Файл";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string Element_path
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Element path";
   case HInCodeSupportedLanguage.Russian: return "Путь к элементу";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string Attribute
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Attribute";
   case HInCodeSupportedLanguage.Russian: return "Атрибут";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string DOCUMENT_WAS_NOT_LOADED_TO_XML_CONFIGURATION
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Document was not loaded to XML-configuration.";
   case HInCodeSupportedLanguage.Russian: return
      "Документ не был загружен в XML-конфигурацию.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string CURRENT_ELEMENT_IS_NOT_SELECTED_FOR_XML_CONFIGURATION
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Current element is not selected for XML-configuration.";
   case HInCodeSupportedLanguage.Russian: return
      "Текущий элемент не выбран для XML-конфигурации.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string FILE_PATH_WAS_NOT_SET_FOR_DOCUMENT_SAVING_OF_XML_CONFIGURATION
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "File path was not set for document saving of XML-configuration.";
   case HInCodeSupportedLanguage.Russian: return
      "Файловый маршрут не был установлен для сохранения документа XML-конфигурации.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string ELEMENT_OF_XML_DOCUMENT_MUST_BELONG_TO_THE_FOLLOWING_NAMESPACE_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Element of XML document must belong to the following namespace: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Элемент документа XML должен принадлежать следующему пространству имён: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string XML_ATTRIBUTE_VALUE_NOT_FOUND_BY_NAME_0_ATTRIBUTE
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "XML attribute value not found by name: \"{0}\" (attribute).";
   case HInCodeSupportedLanguage.Russian: return
      "Значение атрибута XML по имени не найдено: \"{0}\" (атрибут).";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string XML_ELEMENT_PATH_IS_NOT_FOUND_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "XML element path is not found: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return
      "Не найден путь к XML-элементу: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string INCORRECT_PATH_FOR_NAVIGATION_0__PATH_TO_XML_ELEMENT_WAS_EXPECTED
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return
      "Incorrect path for navigation: \"{0}\".\n"+
      "Path to XML-element was expected.";
   case HInCodeSupportedLanguage.Russian: return
      "Некорректный путь навигации: \"{0}\".\n"+
      "Ожидался маршрут к элементу XML.";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================

public static string ATTRIBUTE_NOT_FOUND_0
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Attribute not found: \"{0}\".";
   case HInCodeSupportedLanguage.Russian: return "Атрибут не найден: \"{0}\".";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
}} // HXmlConfigurationBase.Verbose
//**************************************************************************************************

} // CommonHelpers
